var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import RcSteps, { Step as RcStep } from 'rc-steps';
import Icon from "../icon";
import "./style/steps.css";
var prefixCls = 'dmc-steps';

var Steps = function Steps(props) {
  var icons = {
    finish: _jsx(Icon, {
      icon: "done-check",
      className: prefixCls + "-finish-icon"
    }, void 0),
    error: _jsx(Icon, {
      icon: "close",
      className: prefixCls + "-error-icon"
    }, void 0)
  };
  return _jsx(RcSteps, __assign({
    icons: icons
  }, props, {
    prefixCls: prefixCls
  }), void 0);
};

Steps.defaultProps = {
  current: 0
};
Steps.displayName = 'Steps';
export default Steps;
var StepsMemo = /*#__PURE__*/React.memo(Steps);
StepsMemo.displayName = 'StepsMemo';
export { StepsMemo };

var Step = function Step(props) {
  return _jsx(RcStep, __assign({}, props, {
    prefixCls: prefixCls
  }), void 0);
};

Step.displayName = 'Step';
export { Step };
var StepMemo = /*#__PURE__*/React.memo(Step);
StepMemo.displayName = 'StepMemo';
export { StepMemo };

